/* Reset margins and paddings for the entire document */
body {
    margin: 0;
    /* Remove default margin */
    padding: 0;
    /* Remove default padding */
}

/* Apply box-sizing and font-family to all elements */
* {
    box-sizing: border-box;
    /* Includes padding and border in element's total width and height */
    font-family: Arial;
    /* Set default font to Arial */
}

/* Styling for the navigation bar */
nav {
    display: flex;
    /* Use flexbox for layout */
    width: 100%;
    /* Full width of the container */
    height: 60px;
    /* Fixed height for navigation bar */
    z-index: 500;
    /* Ensure navigation bar is on top of other elements */
}

/* Style list items in the navigation */
.nav-con>li {
    margin-left: 20px;
    /* Space between list items */
    list-style-type: none;
    /* Remove default list styling */
    color: white;
    /* Text color */
    font-size: 18px;
    /* Font size */
    font-weight: bold;
    /* Bold text */
    cursor: pointer;
    /* Pointer cursor on hover */
}

/* Style links within list items */
.nav-con>li>a {
    color: white;
    /* Text color */
    text-decoration: none;
    /* Remove underline from links */
}

/* Container for navigation bar content */
.nav-bar-content {
    width: 60%;
    /* Width of the content container */
    margin: auto;
    /* Center container horizontally */
    display: flex;
    /* Use flexbox for layout */
    align-items: center;
    /* Center items vertically */
    height: 60px;
    /* Height of the container */
}

.nav-con {
    display: flex;
}

.nav-con-mobile {
    display: none;
}

.nav-mobile {
    display: none;
}

.logo {
    margin-right: auto;
    color: #fff;
    font-size: 18px;
    font-weight: bold;
}

.selected {
    color: #E45353 !important;
    font-weight: bold;
}

/* HERO SECTION STYLES */
.hero-section {
    background: black;
    height: 400px;
    background-image: url("img/hero_background_home.png");
    display: flex;
    align-items: center;
    margin-top: -60px;
    justify-content: center;
}

.hero-section-img {
    width: 100%;
    height:  600px;
}

.hero-section-content {
    width: 60%;
}

.hero-section-content>h2 {
    font-size: 50px;
    color: white;
    margin-bottom: 15px;
    text-align: center;
}

.hero-section-content>p {
    font-size: 18px;
    color: white;
    line-height: 30px;
    margin-top: 0;
}

.hero-section-content>button {
    width: 160px;
    height: 60px;
    font-size: 18px;
    border-radius: 5px;
    background: #E45353;
    border: none;
    color: white;
    margin-top: 5px;
    cursor: pointer;
}

.hero-section-content>button:hover {
    background: #E66060;
}

/* CONTACT FORM STYLES */

.contact-form-section {
    width: 100%;
    background: #3B3B3B;
    margin-top: 0;
    margin-top: -60px;
    padding: 60px 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

.contact-form-content {
    width: 60%;
    display: flex;
    flex-direction: column;
    background: #FCFCFC;
    border-radius: 10px;
    padding: 35px;
    align-items: center;
    justify-content: center;
}

.contact-form-content>h2 {
    font-size: 40px;
    margin-top: 0;
    font-weight: light;
    text-align: center;
    margin-bottom: 0;
}

.contact-form-content>span {
    margin-top: 10px;
    text-align: center;
    margin-bottom: 0;
}

.contact-form {
    display: grid;
    grid-template-rows: 80px 80px 1fr 80px;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 15px;
    margin-top: 40px;
}

.first-name-con {
    grid-row: 1;
    column: 1;
}

.last-name-con {
    grid-row: 1;
    grid-column: 2;
}

.email-con {
    grid-row: 2;
    grid-column: 1/3;
}

.message-con {
    grid-row: 3;
    grid-column: 1/3;
}

.contact-form-btn {
    grid-row: 4;
    grid-column: 1/3;
    margin-top: 20px;
    background: #E45353; 
    font-size: 20px;
    color: white;
    border: none;
    border-radius: 5px;
}

.contact-form-input {
    width: 100%;
    height: 50px;
    outline: none;
    padding-left: 10px;
    margin-top: 10px;
    border-radius: 5px;
    font-size: 18px;
    border: 1px solid black;
}

.contact-form-textarea {
    width: 100%;
    margin-top: 10px;
    font-size: 18px;
    resize: none;
    height: 120px;
    outline: none;
    padding: 10px;
}

.contact-form-lbl {
    margin-bottom: 10px;
}

/* FOOTER */
footer {
    background: #2D2D2D;
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: center;
}

footer>span {
    color: white;
}

@media all and (min-width: 320px) and (max-width: 700px) {
    .nav-con {
        display: none;
    }

    .nav-mobile {
        display: none;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgb(39, 39, 39);
        flex-direction: column;
        list-style-type: none;
        justify-content: center;
        align-items: center;
    }

    .nav-con-mobile>li>a {
        color: white;
    }

    .nav-mobile>li>a {
        color: white;
        text-decoration: none;
    }

    .nav-mobile>li {
        margin: 10px;
        font-size: 20px;
    }

    #exit_button {
        position: absolute;
        right: 10px;
        top: 10px;
        background: none;
        border: none;
        color: white;
    }

    .nav-con-mobile {
        display: block;
    }

    .nav-bar-content {
        width: 90%;
    }

    .hero-section-content {
        width: 90% !important;
    }

    .hero-section-content>h2 {
        font-size: 35px;
    }

    .who-we-are-section {
        align-items: unset;
        padding: 60px 10px;
        width: 100%;
    }

    video {
        width: 100% !important;
        height: 200px !important;
    }

    .navigation-sub-img {
        display: none;
    }

    .navigation-sub-con {
        width: 100%;
        border-bottom: 1px solid black;
    }

    .navigation-sub-con:nth-child(1) {
        background: #235c88;
    }

    .navigation-sub-con:nth-child(2) {
        background: #018758;
    }

    .navigation-sub-con>span {
        text-align: center;
        color: white;
    }

    .navigation-container {
        display: block;
    }

    footer>span {
        font-size: 15px;
        text-align: center;
        margin: 10px;
    }

    .contact-form-content {
        display: flex;
        width: 95%;
        flex-direction: column !important;
    }

    .about-us-img {
        margin-bottom: 20px;
    }

    .about-us-content>p {
        order: 2;
    }

    .about-us-content>img {
        order: 2;
    }

}